body{
  background-color:#ededed;;
  height:100vh;
}



.basket-container{
  
  height:fit-content;
  overflow-y: scroll;
  width:100%;
  background-color:#ededed;
  position:relative

}
.heading{
  font-family:'roboto condensed', sans-serif;
  font-weight:200;
  font-size:3.5em;
  text-transform: uppercase;
  font-style: italic;
  
  text-align: center;
  background-color:rgba(6, 6, 217, 0);
  
  padding-top:0.9em;;
  padding-bottom:0.4em;
  box-shadow: 0px 4px 5px rgba(0, 0, 0, 0.2);;
  
  
}
.blurred-line{
  height:3px;
  width:100%;
  background-color:rgba(0, 0, 0, 0.052);
  color:red;
  filter: blur(10px)
}
table{
  border-collapse:separate;
  width:100%;
  
  background-color:#ffffff;
  
  font-family:'roboto',sans-serif;
  
  border-collapse: collapse;
  table-layout:fixed; 
  
  margin-top:10px;
  
  
}

th {
  color: #121212;
  background-color:#efefef;
  border-collapse: collapse;
  
}
  
th, td {
  
  border-left:none;
  border-right:none;
}
table tr{
  box-shadow: 0px 6px 0px #efefef;
}
table tr:nth-child(1){
  box-shadow: 0px 4px 5px rgba(0, 0, 0, 0.2);;
}
table tr th{
 text-align:start;
 font-weight:bold;
 font-size:1.1em;
 height:50px;
 
 
 border-color:rgba(0, 0, 255, 0);
  
  
}


.product-field{padding-left:calc(80px);width:40%}
.colour-field{width:10%}
.size-field{width:10%}
.quantity-field{width:30%}
.price-field{width:8%}
.total-field{
  width:8%;
}
.item-entry{
  transition: transform 1s;
  transform-origin: -100% 50%;
}

.basket-thumb{
  height:100px;
  width:80px;
  background-color:rgba(255, 4, 4, 0);
  display:inline-flex;
  align-items:center;
  justify-content: center;

}
.basket-thumb img{
  width:70%;
}
.basket-shoe-details{
  background-color:rgba(255, 255, 255, 0);
  display:flex;
  align-items:center;
  
}
.basket-shoe-details-text{
  display:inline-block;
}
.basket-brand{
  font-weight:bold;
  font-family:'roboto condensed', sans-serif;
  font-size:1.5em;
  color:#121212;
  text-transform: uppercase;
  
}
.basket-colour{
  background-color:rgba(255, 255, 255, 0);
  
}
.basket-size{
  background-color: rgba(255, 255, 255, 0);;
  flex-grow:177;
}
.basket-quantity{
  background-color:rgba(0, 0, 255, 0);
  flex-grow:519;
}
.quantity-panel{
  display:flex;
  justify-content: space-between;
  position:relative;
  
}
.remove-btn-wrap{
  width:100%;
  background-color:rgba(0, 0, 255, 0);
  display:flex;
  justify-content: center;
  align-items: center;
  
}
.remove-btn-wrap button {
  font-family: "Roboto", sans-serif;
  font-weight: bold;
  font-size:1vw;
  color: white;
  background-color: #f41212; /* Primary red */
  border: none;
  border-radius: 6px; /* Adjust as needed for rounded look */
  padding: 10px 20px; /* Adjust padding as needed */
  cursor: pointer;
  transition: background-color 0.1s ease;
  white-space: nowrap
}


.remove-btn-wrap button:hover {
  background-color: #cc0000; /* Darker shade of red on hover */
}
.quantity-incrementer{
  display:inline-flex;
  justify-content: center;
}
.quantity-cube{
  font-size:1em;;
  border-style:solid;
  border-width:1px;
  width:52px;
  height:50px;
  display:inline-flex;
  justify-content: center;
  align-items:center;
  position:relative;
  border-color:#12121246;
  

}
.error-click{
  position:absolute;
  top:0;left:0;
  width:100%;
  height:100%;
  background-color:rgba(0, 128, 0, 0);
  display:none;
}

.outer{
  height:100%;
  width:100%;
  border-radius:50%;
  background-color:rgb(255, 0, 0);;
  display:flex;
  justify-content: center;
  align-items: center;
  transform:scale(0.5);
  position:absolute;
  top:0;
  left:0;
}
.inner{
  height:80%;
  width:80%;
  border-radius:50%;
  background-color:rgb(255, 255, 255);;
  margin:auto;
  display:flex;
  justify-content: center;
  align-items:center;
}
.bar{
  width:100%;
  height:10%;
  background-color:rgb(255, 0, 0);
  transform:rotate(45deg)
}
.arithmetic-bar{
  width:40%;
  height:3px;
  background-color:#121212;
}
.quantity-cube .arithmetic-bar:nth-child(2){
  position:absolute;
  transform:rotate(90deg);
  
}
#minus-btn, #plus-btn:hover{cursor:pointer;}
.basket-price{
  background-color:rgba(255, 217, 0, 0);
  flex-grow:177;
}
.basket-total{
  background-color:rgba(255, 166, 0, 0);
  
}
.table-end{
  width:100%;
  height:fit-content;
  background-color:rgba(236, 13, 13, 0);
  display:flex;
  padding-left:20px;
  padding-right:20px;
  margin-top:20px;
  position:relative;
  
  
  
}
.card-tray{
  position:relative;
  display:flex;
  justify-content: center;
  align-items: center;
  background-color:rgba(128, 0, 119, 0);
  flex-grow:1;
  width:35%;
  margin:1em;
  
  

}
.card-tray img{
    height:auto;
    width:100%;
}
.shipping-promo{
  background-color:rgba(0, 0, 255, 0);
  display:flex;
  flex-direction:column;
  justify-content: center;
  font-size:1.5vw;
  
  font-family:'roboto', sans-serif;
  padding:2em;
  color:#121212;
  flex-grow:1;
}
.total-box{
  position:relative;
  opacity:0.8;
  width:40%;
  background-color:rgba(0, 128, 0, 0);
  flex-grow:1;
  
}
#total-table{
  
  
  background-color:rgba(255, 255, 255, 0);
  font-family:'roboto', sans-serif;
  font-size:16px;
  
}
#total-table td{
padding-bottom:5px;
}
#total-table tr{
  box-shadow: none;
  
  
}
.total-box hr{
  border-top: 3px dashed #121212;
  font-size:1em;
  margin-top:10px;
}
.basket-grand-total{
  font-family:'roboto', sans-serif;
  font-size:1.5em;
  margin-top:15px;
  font-weight:bold;
}
.proceed-to-payment{
  font-family: "roboto", sans-serif;
  font-weight:normal;
  font-size:1.9vw;
  color: white;
  background-color: #0a65f5; 
  border: none;
  border-radius: 20px; 
  padding: 10px 20px; 
  cursor: pointer;
  transition: background-color 0.2s ease;
  margin-top:20px;
}
.proceed-to-payment:hover{
  background-color: #0041aa;
  
}
#cont-shopping{
  
  text-align:center;
  display:block;
  margin-top:80px;
  margin-bottom:50px;
  font-size:x-large
}

.advert{
  height:fit-content;
  width:100%;
  position:relative;
 
  
  
}
.advert a{
  position:absolute;
  width:100%;
  height:100%;
  cursor:pointer;
}
.advert img{
  width:100%;
  
}
@media (min-width:1051px){.mobile-basket-container{display:none;}}
@media (max-width:1050px) and (min-width:0px){
  .basket-container{display:none;}
  .mobile-basket-container{display:block;}
}


